Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.jsf
Class SeamPhaseListener

    java.lang.Object
      org.jboss.seam.jsf.SeamPhaseListener

All Implemented Interfaces:
  Serializable, EventListener, javax.faces.event.PhaseListener

    public class SeamPhaseListener

extends Object
implements javax.faces.event.PhaseListener

Manages the Seam contexts associated with a JSF request throughout the lifecycle of the request. Performs transaction demarcation when Seam transaction management is enabled. Hacks the JSF lifecyle to provide page actions and page parameters.

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`SeamPhaseListener()`

Method Summary
`protected void` | `addTransactionFailedMessage()` Add a faces message when Seam-managed transactions fail.
`protected void` | `afterInvokeApplication()`
`void` | `afterPhase(javax.faces.event.PhaseEvent event)`
`protected void` | `afterProcessValidations(javax.faces.context.FacesContext facesContext)`
`protected void` | `afterRenderResponse(javax.faces.context.FacesContext facesContext)`
`protected void` | `afterResponseComplete(javax.faces.context.FacesContext facesContext)`
`protected void` | `afterRestoreView(javax.faces.context.FacesContext facesContext)` Restore the page and conversation contexts during a JSF request
`void` | `beforePhase(javax.faces.event.PhaseEvent event)`
`protected void` | `beforeRenderResponse(javax.faces.context.FacesContext facesContext)`
`protected void` | `beforeRestoreView(javax.faces.context.FacesContext facesContext)` Set up the Seam contexts, except for the conversation context
`javax.faces.event.PhaseId` | `getPhaseId()`
`protected void` | `handleTransactionsAfterPageActions(javax.faces.context.FacesContext facesContext)`
`void` | `handleTransactionsAfterPhase(javax.faces.event.PhaseEvent event)`
`void` | `handleTransactionsBeforePhase(javax.faces.event.PhaseEvent event)`
`void` | `raiseEventsAfterPhase(javax.faces.event.PhaseEvent event)`
`void` | `raiseEventsBeforePhase(javax.faces.event.PhaseEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SeamPhaseListener

    public SeamPhaseListener()

Method Detail

### getPhaseId

    public javax.faces.event.PhaseId getPhaseId()

  Specified by:
    `getPhaseId` in interface `javax.faces.event.PhaseListener`

### beforePhase

    public void beforePhase(javax.faces.event.PhaseEvent event)

  Specified by:
    `beforePhase` in interface `javax.faces.event.PhaseListener`

### afterPhase

    public void afterPhase(javax.faces.event.PhaseEvent event)

  Specified by:
    `afterPhase` in interface `javax.faces.event.PhaseListener`

### handleTransactionsBeforePhase

    public void handleTransactionsBeforePhase(javax.faces.event.PhaseEvent event)

### handleTransactionsAfterPhase

    public void handleTransactionsAfterPhase(javax.faces.event.PhaseEvent event)

### handleTransactionsAfterPageActions

    protected void handleTransactionsAfterPageActions(javax.faces.context.FacesContext facesContext)

### afterInvokeApplication

    protected void afterInvokeApplication()

### afterProcessValidations

    protected void afterProcessValidations(javax.faces.context.FacesContext facesContext)

### beforeRestoreView

    protected void beforeRestoreView(javax.faces.context.FacesContext facesContext)

  Set up the Seam contexts, except for the conversation context

### afterRestoreView

    protected void afterRestoreView(javax.faces.context.FacesContext facesContext)

  Restore the page and conversation contexts during a JSF request

### raiseEventsBeforePhase

    public void raiseEventsBeforePhase(javax.faces.event.PhaseEvent event)

### raiseEventsAfterPhase

    public void raiseEventsAfterPhase(javax.faces.event.PhaseEvent event)

### addTransactionFailedMessage

    protected void addTransactionFailedMessage()

  Add a faces message when Seam-managed transactions fail.

### beforeRenderResponse

    protected void beforeRenderResponse(javax.faces.context.FacesContext facesContext)

### afterRenderResponse

    protected void afterRenderResponse(javax.faces.context.FacesContext facesContext)

### afterResponseComplete

    protected void afterResponseComplete(javax.faces.context.FacesContext facesContext)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD